## revelation 0.5.4

=== requirements.txt ===
PyGObject
pycryptodomex
pwquality

## revelation 0.4.11

=== debian/changelog ===
revelation (0.4.11-9ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/091_panel_category.dpatch:
      + Change GNOME panel category from "Utility" to the correct "Utilities".
    - debian/rules: Include dh_icons.
    - debian/patches/series: Include 040_xhtml.dpatch
    - Build with python 2.7
    - Note that md5sums between Debian and Ubuntu are different.
  * debian/patches/230-optional-gnomeapplet.patch: Make gnome-applet optional
  * debian/control:
    - Drop libbonoboui2-0, libbonoboui2-dev, libpanel-applet2-dev,
      python-gnome2-extras-dev build-dependencies
    - Drop python-gnomeapplet dependency (LP: #817260)

 -- Laurent Bigonville <bigon@ubuntu.com>  Fri, 19 Aug 2011 04:05:36 +0200

revelation (0.4.11-9) unstable; urgency=low

  * Call gcc with -rdynamic instead of --export-dynamic (Closes: #625040)
  * switch to dh_python2 (Closes: #617052)
  * fix missing icon on applet start (Closes: 603572)
  * provide missing edit icon (copy of gedit-icon.xpm) (Closes: #619447)
  * New Standards-Version: 3.9.2 (no changes)

 -- Stefan Völkel <stefan@bc-bd.org>  Mon, 02 May 2011 19:53:06 +0200

revelation (0.4.11-8ubuntu3) natty; urgency=low

  * Fix FTBFS with python 2.7 (LP: #688096).

 -- Артём Попов <artfwo@gmail.com>  Thu, 09 Dec 2010 21:32:55 +0600

revelation (0.4.11-8ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:10:06 +0000

revelation (0.4.11-8ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/091_panel_category.dpatch:
      + Change GNOME panel category from "Utility" to the correct "Utilities".
    - debian/rules: Include dh_icons.
    - debian/patches/series: Include 040_xhtml.dpatch
    - Note that md5sums between Debian and Ubuntu are different.
  * Dropped changes:
    - debian/rules: Package built fine, other changes are unnecessary.
    - debian/patches/092_typo_de_translation.dpatch: Look prefix 120_.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 05 Nov 2010 23:29:25 +0100

revelation (0.4.11-8) unstable; urgency=low

  * Reverted to ru.po by Алекс <davian818@gmail.com> to fix missing strings
    (Closes: #579963)
  * Removed unneeded dependency on python-gi (Closes: #597492)

 -- Stefan Völkel <stefan@bc-bd.org>  Mon, 20 Sep 2010 11:23:56 +0200

revelation (0.4.11-7) unstable; urgency=low

  * Added missing dependencies to python-gi, python-gnomeapplet and
    python-gobject (>= 2.21.1-2) (to not be affected by #585519)
    (Closes: #585519)
  * New Standards-Version: 3.8.4 (no changes)
  * Update XS-Python-Version and build for python 2.6 (Closes: #586439)
  * Added ru.po by Алекс <davian818@gmail.com> and
    Yuri Kozlov <yuray@komyakino.ru> (Closes: #579963)
  * Fix missing icons (Closes: #578064)
  * Converted to source format quilt

 -- Stefan Völkel <stefan@bc-bd.org>  Mon, 21 Jun 2010 15:36:16 +0200

revelation (0.4.11-6) unstable; urgency=low

  * Removed no longer needed auto* patches (Closes: #563914)
  * Added de translation patch from 0.4.11-4ubuntu1
  * Added automake to build dependencies, else autoreconf fails
  * Added pwsafe patch by Stuart Rackham, see LP #120371
  * Added gettext patch, see erikg's bitbuket.org issue #21
  * Added DM-Upload-Allowed: yes
  * Added unset datafile patch (Closes: #579540)
  * Added 170-escape.dpatch to not quite when pressing escape in the
    "Save changes before quitting" dialog.
    Patch by Raúl Gutiérrez Segalés <rgs@paraguayeduca.org>
  * Added 180-luks.dpatch to replace string exceptions.
    Patch by John Lenz <jlenz2@math.uiuc.edu>

 -- Stefan Völkel <stefan@bc-bd.org>  Wed,  3 Jun 2010 18:30:51 +0100

revelation (0.4.11-5ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes: (LP: #520281)
    - debian/rules:
      + Fix FTBFS with python >= 2.6
      + Include dh_icons
    - debian/patches/091_panel_category.dpatch:
      + Change GNOME panel category from "Utility" to the correct "Utilities".
    - debian/patches/092_typo_de_translation.dpatch:
      + Fix German translation typo
    - debian/patches/00list:
      + Include 040_xhtml.dpatch
  * Rename Ubuntu specific patches to avoid confusion with Debian's patches:
    - 91_panel_category.dpatch -> 091_panel_category.dpatch
    - 92_typo_de_translation.dpatch -> 092_typo_de_translation.dpatch
  * debian/patches/00list: Update with new Ubuntu specific patch names
  * Dropped changes now applied upstream:
    - debian/patches/94_url_decoding.dpatch:
      - Patches io.py to unquote file url during the normalisation process
  * Dropped changes no longer required:
    - debian/patches/010_intltool.dpatch:
      + Remove intltool files when cleaning
    - debian/patches/020_server_data.dpatch:
      + Remove GNOME_RevelationApplet.server when cleaning
    - debian/patches/93_python26_transition.dpatch:
      + Patches aclocal.m4 to return the correct value for 
        cv_python_pyexecdir
  * debian/patches/100_backup_on_save.dpatch: (LP: #338138)
    Patches io.py to create a backup file before saving and restore
    the backup if saving fails

 -- Bart Veldstra <bart.veldstra@gmail.com>  Sat, 16 Jan 2010 06:13:18 +0000

revelation (0.4.11-5) unstable; urgency=low

  * Added VCS information to debian/control
  * Backup file before save (Closes: #524471)
  * urldecode file names (Closes: #518085)
  * fix outdated-autotools-helper-file lintian warning
  * no longer build for python 2.4
  * fix patch-system-but-no-source-readme warning
  * New Standards-Version: 3.8.3
  * fix dh_desktop-is-deprecated warning

 -- Stefan Völkel <stefan@bc-bd.org>  Thu,  4 Jan 2010 15:46:13 +0200

revelation (0.4.11-4ubuntu4) lucid; urgency=low

  * add 94_url_decoding.dpatch to fix LP: #96968
    - Patches io.py to unquote file url during the 
      normalisation process

 -- Bart Veldstra <bart.veldstra@gmail.com>  Sun, 03 Jan 2010 19:53:26 +1100



=== debian/control ===
Source: revelation
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stefan Völkel <stefan@bc-bd.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5.0.37.2), xsltproc, docbook-xsl, python-all-dev (>= 2.6.6-3), imagemagick, python-crypto, python-gtk2-dev, libglib2.0-dev, pkg-config, gconf2, python-gnome2-dev, libgtk2.0-dev, libgnomeui-dev, libcrack2-dev (>= 2.8.12), cracklib-runtime (>= 2.8.12), python-gnome2, python-gnome2-desktop-dev, libxml-parser-perl, autoconf, intltool, automake
Standards-Version: 3.9.2
Vcs-Git: git://bc-bd.org/git/revelation.git
Vcs-Browser: https://bc-bd.org/cgi-bin/gitweb.cgi?p=revelation.git
X-Python-Version: 2.7

Package: revelation
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-gtk2, python-gnome2, python-crypto, gnome-icon-theme, shared-mime-info, python-gobject (>= 2.21.1-2), gnome-extra-icons
Description: GNOME2 Password manager
 Revelation is a password manager for the GNOME 2 desktop. It organizes
 accounts in a tree structure, and stores them as AES-encrypted XML.
 .
Homepage: http://oss.codepoet.no/revelation/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PACKAGE=revelation

DB2MAN=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl
XP=xsltproc --nonet

CFLAGS = -Wall -g

SCHEMAS=$(CURDIR)/debian/revelation/usr/share/gconf/schemas

PREFIX=/usr

PYVERS=2.7

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build-python%-stamp:
	dh_testdir

	PYTHON=/usr/bin/python$* ./configure \
		--with-python-include=/usr/include/python$* \
		--prefix=$(PREFIX) --sysconfdir=/etc \
		--libexecdir=/usr/share/revelation/libexec \
		--disable-mime-update --disable-desktop-update --disable-schemas-install

	$(MAKE) clean
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/revelation

	touch $@


build-stamp: patch-stamp
	dh_testdir
	dh_clean -k 
	autoreconf
	for py in $(PYVERS); do \
	    $(MAKE) -f debian/rules build-python$$py-stamp; \
	done
	touch $@

patch-stamp:
	touch patch-stamp

build: build-stamp

clean: do-clean unpatch
	rm -f config.guess config.sub

do-clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-python*-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 
	rm -rf build tmp revelation.1

unpatch:
	rm -rf patch-stamp debian/patched

revelation.1:
	$(XP) $(DB2MAN) debian/revelation.1.xml

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	mkdir -p $(CURDIR)/tmp

	convert $(CURDIR)/data/icons/32x32/revelation.png \
		-colors 24 -resize 32x32 \
		$(CURDIR)/tmp/revelation.xpm

	install -D -o root -g root -m 644 \
		$(CURDIR)/tmp/revelation.xpm \
		$(CURDIR)/debian/revelation/$(PREFIX)/share/pixmaps/revelation.xpm

	$(MAKE) -C $(CURDIR)/debian/pixmaps DEST=$(CURDIR)/debian/revelation/$(PREFIX)/share/pixmaps/revelation install

	for py in $(PYVERS); do \
	    chmod 755 $(CURDIR)/debian/revelation/$(PREFIX)/lib/python$$py/dist-packages/revelation/bundle/PBKDFv2.py; \
	done

	# install .desktop by hand, hides lintian dh_desktop-is-deprecated
	install -D -o root -g root -m 644 $(CURDIR)/data/mime/revelation.desktop $(CURDIR)/debian/usr/share/applications/revelation.desktop

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install revelation.1
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_installmime
	dh_installman revelation.1
	dh_icons
	dh_link
	dh_strip
	dh_makeshlibs
	dh_shlibdeps
	dh_compress
	dh_fixperms
	dh_python2
	dh_gconf
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## revelation 0.4.13

=== debian/changelog ===
revelation (0.4.13-1.2) unstable; urgency=high

  * Non-maintainer upload.
    - Add a new patch to fix CVE-2012-3818 (Closes: #680059). It just disables
      the FPM exporter until it's properly fixep upstream.

 -- Thomas Pierson <contact@thomaspierson.fr>  Fri, 20 Jul 2012 12:12:24 +0200

revelation (0.4.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add python-dbus to Depends
    Closes: #678949

 -- Andreas Tille <tille@debian.org>  Fri, 17 Aug 2012 13:44:17 +0200

revelation (0.4.13-1) unstable; urgency=low

  * New upstream release (Closes: #595702, #551754, #586646, #293720, #269842)
  * Updated patches:
    - 200-icons.dpatch -> 010-icons.patch
  * Removed patches upstream applied:
    - 030_python.dpatch
    - 050_french.dpatch
    - 070_show_passwords.dpatch
    - 080_transparency.dpatch
    - 090_applet_crash.dpatch
    - 100_backup_on_save.dpatch, see https://github.com/mikelolasagasti/revelation/commit/842c009e2553267931d5cceca238e31df32ea31f
    - 110_unquote_file_names.dpatch, see 100_backup_on_save.dpatch,
    - 120_typo_de_translation.dpatch
    - 140_pwsafe.dpatch
    - 150_po.dpatch
    - 160-579540.dpatch
    - 170-escape.dpatch
    - 180-luks.dpatch
    - 190-ru.dpatch
    - 210-625040-fix-export-dynamic.dpatch
    - 220-603572-display-icon-on-start.patch
    - 230-optional-gnomeapplet.patch
    - 240-password-length.patch
  * added new dependencies: python-cracklib python-dbus


 -- Stefan Völkel <stefan@bc-bd.org>  Mon, 28 May 2012 12:19:19 +0200

revelation (0.4.11-10) unstable; urgency=low

  * Acknowledge NMUs
  * debian/patches/240-password-length.patch:
    - Tell user that we only use the first 36 characters of a file encryption
      password (Closes: #633088)

 -- Stefan Völkel <stefan@bc-bd.org>  Sun, 30 Oct 2011 15:59:19 +0100

revelation (0.4.11-9.2) unstable; urgency=low

  * Non-maintainer upload, for the GNOME 3 transition.
  * debian/patches/230-optional-gnomeapplet.patch:
    - Make the panel applet optional, patch taken from Ubuntu.
   * debian/control:
    - Drop libbonoboui2-0, libbonoboui2-dev, libpanel-applet2-dev,
      python-gnome2-extras-dev build-dependencies
    - Drop python-gnomeapplet dependency (Closes: #638124)

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Oct 2011 14:35:26 +0200

revelation (0.4.11-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do not hardcode Python default versions (Closes: #628852).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 18 Sep 2011 01:02:23 +0200

=== debian/control ===
Source: revelation
Section: gnome
Priority: optional
Maintainer: Stefan Völkel <stefan@bc-bd.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5.0.37.2), xsltproc, docbook-xsl, python-all-dev (>= 2.6.6-3), imagemagick, python-crypto, python-gtk2-dev, libglib2.0-dev, pkg-config, gconf2, python-gnome2-dev, libgtk2.0-dev, libgnomeui-dev, libcrack2-dev (>= 2.8.12), cracklib-runtime (>= 2.8.12), python-gnome2, python-gnome2-desktop-dev, libxml-parser-perl, autoconf, intltool, automake, python-cracklib, python-dbus
Standards-Version: 3.9.2
Vcs-Git: git://bc-bd.org/git/revelation.git
Vcs-Browser: https://bc-bd.org/cgi-bin/gitweb.cgi?p=revelation.git
X-Python-Version: >= 2.5

Package: revelation
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-gtk2, python-gnome2, python-crypto, gnome-icon-theme, shared-mime-info, python-gobject (>= 2.21.1-2), gnome-extra-icons, python-cracklib, python-dbus
Description: GNOME2 Password manager
 Revelation is a password manager for the GNOME 2 desktop. It organizes
 accounts in a tree structure, and stores them as AES-encrypted XML.
 .
Homepage: http://revelation.olasagasti.info/

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 PREFIX=/usr
 
-PYVERS=2.7
+PYVERS=$(shell pyversions -vr debian/control)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -90,8 +90,6 @@
 		$(CURDIR)/tmp/revelation.xpm \
 		$(CURDIR)/debian/revelation/$(PREFIX)/share/pixmaps/revelation.xpm
 
-	$(MAKE) -C $(CURDIR)/debian/pixmaps DEST=$(CURDIR)/debian/revelation/$(PREFIX)/share/pixmaps/revelation install
-
 	for py in $(PYVERS); do \
 	    chmod 755 $(CURDIR)/debian/revelation/$(PREFIX)/lib/python$$py/dist-packages/revelation/bundle/PBKDFv2.py; \
 	done
@@ -112,7 +110,6 @@
 	dh_installmenu
 	dh_installmime
 	dh_installman revelation.1
-	dh_icons
 	dh_link
 	dh_strip
 	dh_makeshlibs

## revelation 0.4.14

=== debian/changelog ===
revelation (0.4.14-3) unstable; urgency=low

  * Drop unused python-gnome2-desktop-dev build dependency (closes: #790163).
  * Add dh-python to Build-Depends.
  * Make rebuildable.
  * Update Standards-Version to 3.9.6 and debhelper level to 9 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Jun 2015 16:29:14 +0000

revelation (0.4.14-2) unstable; urgency=low

  * Update copyright to 1.0 (DEP5) format and correctly state it's GPL-2+
    licensed (closes: #739822).
  * The PBKDF2 exporter makes FPM2 exporter unnecessary (closes: #575629).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 24 Feb 2014 19:39:39 +0100

revelation (0.4.14-1) unstable; urgency=high

  * New upstream release, changes from FPM exporter to a more secure
    PBKDF2 one. This fixes CVE-2012-3818 (closes:  #678133).
  * Fix packaging mistakes (closes: #724467).
  * Update Standards-Version to 3.9.5 and debhelper level to 9.
  * New maintainer.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Jan 2014 11:45:41 +0100

=== debian/control ===
Source: revelation
Section: gnome
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), dh-python, xsltproc, docbook-xsl, python-all-dev (>= 2.6.6-3), imagemagick, python-crypto, python-gtk2-dev, libglib2.0-dev, pkg-config, gconf2, python-gnome2-dev, libgtk2.0-dev, libgnomeui-dev, libcrack2-dev (>= 2.8.12), cracklib-runtime (>= 2.8.12), python-gnome2, libxml-parser-perl, autoconf, intltool, automake, python-cracklib, python-dbus
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
Homepage: http://revelation.olasagasti.info/

Package: revelation
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-gtk2, python-gnome2, python-crypto, gnome-icon-theme, shared-mime-info, python-gobject (>= 2.21.1-2), gnome-extra-icons, python-cracklib, python-dbus
Description: GNOME2 Password manager
 Revelation is a password manager for the GNOME 2 desktop. It organizes
 accounts in a tree structure, and stores them as AES-encrypted XML.

=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,8 @@
 
 build-stamp: patch-stamp
 	dh_testdir
-	dh_clean -k 
-	autoreconf
+	dh_prep
+	autoreconf -i
 	for py in $(PYVERS); do \
 	    $(MAKE) -f debian/rules build-python$$py-stamp; \
 	done
@@ -56,10 +56,14 @@
 patch-stamp:
 	touch patch-stamp
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+build-indep: build-stamp
 
 clean: do-clean unpatch
-	rm -f config.guess config.sub
+	rm -f config.guess config.sub aclocal.m4 compile configure
+	find . -name Makefile.in -exec rm {} \;
 
 do-clean:
 	dh_testdir

## revelation 0.5.4

=== debian/changelog ===
revelation (0.5.4-3) unstable; urgency=medium

  * Fix i18n.merge_file invocation in meson.build (closes: #1005531).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Feb 2022 09:20:13 +0100

revelation (0.5.4-2) unstable; urgency=medium

  * Backport upstream fix for deprecated initialization.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 18 Oct 2020 12:55:56 +0200

revelation (0.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Switch to the Meson build system.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 Oct 2020 17:55:45 +0200

revelation (0.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 17 Sep 2020 17:39:08 +0200

revelation (0.5.0-1) unstable; urgency=medium

  * New major upstream release (closes: #968477).
  * Switch to short debhelper rules format.
  * Add watch file.
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 15 Aug 2020 09:21:26 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DB2MAN=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl
XP=xsltproc --nonet

DESTDIR=$(CURDIR)/debian/revelation

override_dh_auto_clean:
	dh_auto_clean
	$(RM) $(CURDIR)/po/*.gmo

override_dh_installman:
	$(XP) $(DB2MAN) debian/revelation.1.xml
	dh_installman

%:
	dh ${@} --buildsystem=meson --with=python3

.PHONY: override_dh_auto_clean override_dh_installman

=== debian/watch ===
version=4
https://github.com/mikelolasagasti/revelation/tags .*/revelation-v?(\d\S+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## revelation 0.5.5

=== debian/changelog ===
revelation (0.5.5-2) unstable; urgency=medium

  * Update build dependency to gobject-introspection (closes: #1118917).
  * Fix regexp SyntaxWarning with recent Python versions (closes: #1087048).
  * Switch pkg-config dependency to pkgconf.
  * Remove now redundant Rules-Requires-Root value.
  * Refer online version of Free Software Foundation licence.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Oct 2025 18:31:19 +0200

revelation (0.5.5-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Apr 2022 17:53:38 +0200

=== debian/control ===
Source: revelation
Section: gnome
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, meson,
 pkgconf, libgtk-3-dev (>= 3.22), gobject-introspection (>= 1.80),
 python3, python-gi-dev, python3-pycryptodome, python3-pwquality,
 docbook-xsl, xsltproc
Standards-Version: 4.7.2
Homepage: https://revelation.olasagasti.info/

Package: revelation
Architecture: any
Depends: ${python3:Depends}, gir1.2-gtk-3.0, python3-dbus, python3-gi,
 python3-pycryptodome, python3-pwquality, python3-cracklib,
 python3-defusedxml, ${misc:Depends}
Description: GNOME3 Password manager
 Revelation is a password manager for the GNOME 3 desktop. It organizes
 accounts in a tree structure, and stores them as AES-encrypted XML.

=== debian/watch ===
Version: 5

Template: Github
Owner: mikelolasagasti
Project: revelation

## revelation 0.5.6

=== requirements.txt ===
PyGObject
defusedxml
pycryptodomex
pwquality

=== debian/changelog ===
revelation (0.5.6-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 20 Nov 2025 07:52:43 +0100
